<template>
  <div class="oneTraject">
    <p class="sepecial"><span>{{ detailData.name }}</span></p>
    <div class="flx">
      <p><span>Sp: </span>{{ detailData.credit }}</p>
      <p><span>Fase: </span>{{ detailData.phase }}</p>
      <p><span>Sem: </span>{{ detailData.semester }}</p>
      <p><span>Periode: </span>{{ detailData.period }}</p>
    </div>
  </div>
</template>

<script>
export default {
  name: 'OneTrajectDetail',
  props: ['detailData'],
};
</script>

<style scoped lang="scss">
.oneTraject {
  width: 93%;
  background-color: $my-gray;
  height: 120px;
  padding: 0 5%;
  margin: 5px 0;
  display: flex;
  flex-direction: column;
  justify-content: center;
  .flx{
    display: flex;
    justify-content: space-between;
    align-content: center;
    flex-wrap: wrap;
    p{
      color: $my-black;
      width: 20%;
      line-height: 160%;
      text-align: left;
      align-items: self-start;
    }
  }

  p {
    font-size: 1.3em;
    font-family: $my-text;
  }
  span{
    font-weight: 500;
    color: $my-blue;
  }
  .sepecial{
    text-align: center;
    padding: 10px 0 20px 0;
    span{
      color: $my-orange;
    }
  }
}
@media (max-width: 1100px){
  .oneTraject {
    width: 98%;
    padding: 0 1%;
  }
}
</style>
